VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::EthernetStub Class Reference

Remote stub implementation of the Ethernet API service. More...

Inherits vmware::vcenter::vm::hardware::Ethernet.

List of all members.

## Public Member Functions
| EthernetStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.EthernetTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.EthernetTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.EthernetTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.EthernetTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.
vmware.vcenter.vm.hardware.EthernetTypes.Info | Get (string vm, string nic)
| Returns information about a virtual Ethernet adapter.
vmware.vcenter.vm.hardware.EthernetTypes.Info | Get (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual Ethernet adapter.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.EthernetTypes.Info > | GetAsync (string vm, string nic)
| Returns information about a virtual Ethernet adapter.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.EthernetTypes.Info > | GetAsync (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual Ethernet adapter.
string | Create (string vm, vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec spec)
| Adds a virtual Ethernet adapter to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual Ethernet adapter to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec spec)
| Adds a virtual Ethernet adapter to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual Ethernet adapter to the virtual machine.
void | Update (string vm, string nic, vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec spec)
| Updates the configuration of a virtual Ethernet adapter.
void | Update (string vm, string nic, vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual Ethernet adapter.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string nic, vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec spec)
| Updates the configuration of a virtual Ethernet adapter.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string nic, vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual Ethernet adapter.
void | Delete (string vm, string nic)
| Removes a virtual Ethernet adapter from the virtual machine.
void | Delete (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual Ethernet adapter from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string nic)
| Removes a virtual Ethernet adapter from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual Ethernet adapter from the virtual machine.
void | Connect (string vm, string nic)
| Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.
void | Connect (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string nic)
| Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.
void | Disconnect (string vm, string nic)
| Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.
void | Disconnect (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string nic)
| Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string nic, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.

## Detailed Description

Remote stub implementation of the Ethernet API service.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::EthernetStub::EthernetStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::vcenter::vm::hardware::EthernetStub::Connect | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Connect | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::ConnectAsync | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::ConnectAsync | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connects a virtual Ethernet adapter of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

string vmware::vcenter::vm::hardware::EthernetStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual Ethernet adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the Ethernet adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or network backing is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported Ethernet adapters.
  vmware.vapi.std.errors.InvalidArgument | if the specified PCI address is out of bounds, HOST_DEVICE is specified as the type, or a backing cannot be found in the case that backing is left null.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual Ethernet adapter.

Returns:
  Virtual Ethernet adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

string vmware::vcenter::vm::hardware::EthernetStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual Ethernet adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the Ethernet adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or network backing is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported Ethernet adapters.
  vmware.vapi.std.errors.InvalidArgument | if the specified PCI address is out of bounds, HOST_DEVICE is specified as the type, or a backing cannot be found in the case that backing is left null.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual Ethernet adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual Ethernet adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::EthernetStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual Ethernet adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the Ethernet adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or network backing is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported Ethernet adapters.
  vmware.vapi.std.errors.InvalidArgument | if the specified PCI address is out of bounds, HOST_DEVICE is specified as the type, or a backing cannot be found in the case that backing is left null.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual Ethernet adapter.

Returns:
  Virtual Ethernet adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::EthernetStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.EthernetTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual Ethernet adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the Ethernet adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or network backing is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported Ethernet adapters.
  vmware.vapi.std.errors.InvalidArgument | if the specified PCI address is out of bounds, HOST_DEVICE is specified as the type, or a backing cannot be found in the case that backing is left null.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual Ethernet adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual Ethernet adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Delete | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Removes a virtual Ethernet adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Delete | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual Ethernet adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::DeleteAsync | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Removes a virtual Ethernet adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::DeleteAsync | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual Ethernet adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Disconnect | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the Ethernet adapter is not connected to its backing resource.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Disconnect | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the Ethernet adapter is not connected to its backing resource.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::DisconnectAsync | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the Ethernet adapter is not connected to its backing resource.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::DisconnectAsync | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnects a virtual Ethernet adapter of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the Ethernet adapter is not connected to its backing resource.

For a powered-off virtual machine, the Ethernet.Update method may be used to configure the virtual Ethernet adapter to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual Ethernet adapter is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

vmware.vcenter.vm.hardware.EthernetTypes.Info vmware::vcenter::vm::hardware::EthernetStub::Get | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual Ethernet adapter.

Implements vmware::vcenter::vm::hardware::Ethernet.

vmware.vcenter.vm.hardware.EthernetTypes.Info vmware::vcenter::vm::hardware::EthernetStub::Get | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Returns information about a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Returns:
  Information about the specified virtual Ethernet adapter.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.EthernetTypes.Info> vmware::vcenter::vm::hardware::EthernetStub::GetAsync | ( | string | vm,
|  | string | nic,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual Ethernet adapter.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.EthernetTypes.Info> vmware::vcenter::vm::hardware::EthernetStub::GetAsync | ( | string | vm,
|  | string | nic
| ) |  | `[inline]`

Returns information about a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual Ethernet adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

Returns:
  Information about the specified virtual Ethernet adapter.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.EthernetTypes.Summary> vmware::vcenter::vm::hardware::EthernetStub::List | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual Ethernet adapters.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.EthernetTypes.Summary> vmware::vcenter::vm::hardware::EthernetStub::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual Ethernet adapters.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.EthernetTypes.Summary> > vmware::vcenter::vm::hardware::EthernetStub::ListAsync | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual Ethernet adapters.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.EthernetTypes.Summary> > vmware::vcenter::vm::hardware::EthernetStub::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual Ethernet adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual Ethernet adapters.

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Update | ( | string | vm,
|  | string | nic,
|  | vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if HOST_DEVICE is specified as the type.
  vmware.vapi.std.errors.NotFound | if the virtual machine, virtual Ethernet adapter, or backing network is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  spec | Specification for updating the virtual Ethernet adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

void vmware::vcenter::vm::hardware::EthernetStub::Update | ( | string | vm,
|  | string | nic,
|  | vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if HOST_DEVICE is specified as the type.
  vmware.vapi.std.errors.NotFound | if the virtual machine, virtual Ethernet adapter, or backing network is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  spec | Specification for updating the virtual Ethernet adapter.

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::UpdateAsync | ( | string | vm,
|  | string | nic,
|  | vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if HOST_DEVICE is specified as the type.
  vmware.vapi.std.errors.NotFound | if the virtual machine, virtual Ethernet adapter, or backing network is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  spec | Specification for updating the virtual Ethernet adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Ethernet.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::EthernetStub::UpdateAsync | ( | string | vm,
|  | string | nic,
|  | vmware.vcenter.vm.hardware.EthernetTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual Ethernet adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if HOST_DEVICE is specified as the type.
  vmware.vapi.std.errors.NotFound | if the virtual machine, virtual Ethernet adapter, or backing network is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  nic | Virtual Ethernet adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .
  spec | Specification for updating the virtual Ethernet adapter.

Implements vmware::vcenter::vm::hardware::Ethernet.

The documentation for this class was generated from the following file:

- EthernetStub.cs